<ul class="breadcrumb">
    <li><a href="<?= $this->url('root') ?>"><i class="fa fa-home"></i></a></li>
    <li><a href="<?= $this->url('network') ?>"><?= $this->translate('network_module_title') ?></a></li>
    <li class="active"><?= $this->translate('network_nav_list') ?></li>
</ul>

<h1 class="page-title">
    <?= $this->icon('networks') ?> <?= $this->translate('network_module_title') ?>
</h1>

<div ng-controller="networkController as self">
    <div class="row row-padding">
        <div class="col-sm-3">
            <ul class="list-group">
                <li class="list-group-item">
                    <button class="btn" ng-click="self.resetNetwork()"><?= $this->translate('network_button_create_network') ?></button>
                </li>
                <li class="list-group-item">
                    <div class="input-group">
                        <input type="text" autocomplete="off" class="form-control" placeholder="<?= $this->translate('search', null, null, false) ?>"
                               ng-model="networkQuery" />
                        <span class="input-group-addon"><i class="fa fa-fw fa-search"></i></span>
                    </div>
                </li>
                <li class="list-group-item"
                    ng-class="{active: self.network.id == network.id}"
                    ng-click="self.editNetwork(network)"
                    ng-repeat="network in self.networks | filter:networkQuery">
                    <a>
                        {{network.name}}
                    </a>
                </li>
            </ul>
        </div>
        <div class="col-sm-9" ng-show="self.network !== {}">
            <div class="panel">
                <div class="panel-body">
                    <ul class="nav nav-tabs">
                        <li class="active"><a href="#tab-network" data-toggle="tab" role="tab"><i class="fa fa-info fa-fw"></i> {{self.networkName}}</a></li>
                        <li><a href="#tab-clients" data-toggle="tab" role="tab"><?= $this->icon('clients', 'fa-fw') ?> <?= $this->translate('client_module_title') ?></a></li>
                    </ul>

                    <br />

                    <form name="networkForm" ng-submit="self.saveNetwork()">
                        <div class="tab-content">
                            <div id="tab-network" class="tab-pane active">
                                <input type="hidden" name="id"
                                       ng-model="self.network.id" />

                                <div class="row">
                                    <div class="col-sm-6">
                                        <div class="form-group required">
                                            <label for="name"><?= $this->translate('network_field_name') ?> *</label>
                                            <div class="input-group">
                                                <input type="text" name="name" id="name" class="form-control" autocomplete="off" required
                                                       ng-model="self.network.name" />
                                                <span class="input-group-addon"><i class="fa fa-fw fa-tag"></i></span>
                                            </div>
                                            <field-errors field="name" errors="self.errors.fields"></field-errors>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div id="tab-clients" class="tab-pane">
                                <div class="row separator">
                                    <div class="col-sm-10">
                                        <client-select multiple="true" configuration="{
                                            service: {
                                                apiParams: {
                                                    search: {
                                                        data: {
                                                            filters: {
                                                                network: {
                                                                    op: 'isnull',
                                                                    val: ''
                                                                }
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                        }" ng-model="self.clientsToAdd"></client-select>
                                    </div>
                                    <div class="col-sm-2">
                                        <button class="btn btn-block btn-default" type="button" ng-click="self.addClients()">Ajouter</button>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-xs-12">
                                        <table class="table table-bordered table-condensed">
                                            <thead>
                                                <tr>
                                                    <th class="fit-content">
                                                        <?= $this->translate('network_field_master') ?>
                                                    </th>
                                                    <th><?= $this->translate('client_field_name') ?></th>
                                                    <th class="actions-column"></th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr ng-repeat="client in self.network.clients">
                                                    <td class="text-center">
                                                        <input type="radio" ng-model="self.network.master.id" ng-value="client.id"/>
                                                    </td>
                                                    <td>
                                                        {{client.name}}
                                                    </td>
                                                    <td>
                                                        <div class="btn-group btn-group-actions">
                                                            <button type="button" class="btn btn-xs btn-default" class="btn btn-xs btn-default" ng-click="self.removeClient(client);">
                                                                <?= $this->icon('delete') ?>
                                                            </button>
                                                        </div>
                                                    </td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                            <br />

                            <div class="row">
                                <div class="form-group col-xs-12">
                                    <button type="submit" class="btn btn-submit" ng-disabled="self.loading.remove || self.loading.save">
                                        <?= $this->icon('loading', '', ['ng-if' => 'self.loading.save']) ?>
                                        <?= $this->translate('form_button_save') ?>
                                    </button>
                                    <button type="button" class="btn btn-delete"
                                            ng-show="self.network.id" ng-disabled="self.loading.remove || self.loading.save"
                                            ng-click="self.removeNetwork(self.network)">
                                        <?= $this->icon('loading', '', ['ng-if' => 'self.loading.remove']) ?>
                                        <?= $this->translate('form_button_delete') ?>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

<?php
    $this->angular('js/src/admin/client/directive/clientSelect.js');
    $this->angular('js/src/admin/client/service/client.js');
    $this->angular('js/src/admin/network/service/network.js');
    $this->angular('js/src/admin/network/controller/network.js');
